Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.codenullapp.com/llms.txt

Use this file to discover all available pages before exploring further.

Condition

In the condition to access the data item data, you need to use the dataItem keyword in the path, for instance, if we want to access the titulo property you can use dataItem.Path

Result types

Hide columns in Datagrid

If you want to hide a column in a Datagrid go to add a new client rule and select the type HideColumn and add the Ids (code of the column) you want to hide

Background row color and Cell Color

Add the possibility to set a background color to the row or cell color depending on specific business logic, using client rules. Go to the designer, edit the Datagrid and go to the client Rules section
  • Add new client rules as always, click on *Add new rule
  • Fill up all the fields as normal client rule, but in the Result Type you will find two new fields:
    • setCellBackgroundColor (Color of the cell)
      1. Color: This is the hexadecimal of the color you want to use (e.g. #34913E)
      2. Column Id or Code: you can put the specific Column you want to set the color by ColumnId or Code. (it is not required, you can handle it via logic with the client Rule, it is just in case it is needed)
    • setRowBackgroundColor (Color of the row)
      1. Color: This is the hexadecimal of the color you want to use (e.g. #34913E)

Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question. Perform an HTTP GET request on the current page URL with the ask query parameter:
GET https://codenull.gitbook.io/dev/configurations/components/lists/data-grid/client-rules.md?ask=<question>
The question should be specific, self-contained, and written in natural language. The response will contain a direct answer to the question and relevant excerpts and sources from the documentation. Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.